package net.risesoft.demo;

import org.springframework.boot.autoconfigure.service.connection.ConnectionDetails;
import org.springframework.boot.context.event.ApplicationReadyEvent;
import org.springframework.context.ApplicationListener;
import org.springframework.stereotype.Component;

import net.risesoft.demo.entity.User;
import net.risesoft.demo.repository.UserRepository;

@Component
public class OnApplicationReady implements ApplicationListener<ApplicationReadyEvent> {

	@Override
	public void onApplicationEvent(ApplicationReadyEvent event) {
		//System.out.println(event.getApplicationContext().getEnvironment().getProperty("path"));
		
		String[] ss = event.getApplicationContext().getBeanNamesForType(ConnectionDetails.class);
		for (String s : ss) {
			System.out.println(s);
		}
		
		UserRepository userRepository = event.getApplicationContext().getBean(UserRepository.class);
		User user = new User();
		user.setName("张三");
		user.setAge(20);
		userRepository.save(user);
		
	}
}
